Bug 1575946 - [RFE] Validate if necessary repositories are enabled on the overcloud nodes before starting a minor update or a major upgrade
Summary: [RFE] Validate if necessary repositories are enabled on the overcloud nodes b...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-validations
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Upstream M2
: ---
Assignee: RHOS Maint
QA Contact: nlevinki
URL:
Whiteboard: NeedsAllocation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 11:10 UTC by Chaitanya
Modified: 2020-08-26 11:01 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-26 11:01:03 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Chaitanya 2018-05-08 11:10:18 UTC
Description of problem:

Continuing from the BZ https://bugzilla.redhat.com/show_bug.cgi?id=1445696, the below repository check should be made ahead of starting a minor update or a major upgrade:

- List of 'mandatory' repositories (that should be enabled on each oc nodes): 

* rhel-7-server-rpms
* rhel-7-server-extras-rpms
* rhel-7-server-rh-common-rpms

- List of repositories to be enabled on Controller nodes excluding the mandatory repos (considering that I have OSP12 deployment):

* rhel-ha-for-rhel-7-server-rpms
* rhel-7-server-openstack-12-rpms
* rhel-7-server-rhceph-2-mon-rpms
rhel-7-server-rhceph-2-tools-rpms (If the deployment has ceph nodes)

- List of repositories to be enabled on Compute nodes excluding the mandatory repos (considering that I have OSP12 deployment):

rhel-7-server-openstack-12-rpms
rhel-7-server-rhceph-2-tools-rpms (If the deployment has ceph nodes)

- List of repositories to be enabled on Ceph nodes (if any) excluding the mandatory repos (considering that I have OSP12 deployment):

rhel-7-server-openstack-12-rpms (Not sure if it is required to enable this repo on ceph nodes)
rhel-7-server-rhceph-2-mon-rpms
rhel-7-server-rhceph-2-osd-rpms
rhel-7-server-rhceph-2-tools-rpms

In addition to this, in my opinion, if there's a composible roles setup, the repository requirements may vary as per the role.

Version-Release number of selected component (if applicable):
RHOSP12

How reproducible:
Always


Actual results:
No warning / error displayed if any extra repository enabled on overcloud nodes.

Expected results:
Operation should abort immediately with an error.

Comment 2 Florian Fuchs 2018-05-09 14:52:34 UTC
If we just use the list as suggested the validation will only cover RHEL/OSP12, but we might want to cover future versions (and CentOS) as well. So I'd rather find a way to automatically check which repositories are *supposed* to be active, and then check if they're enabled and available on the overcloud nodes. Ideally this should also cover composable roles. I'm not sure if there's a viable way to do it, so I think this needs a little bit of research.

Comment 5 Jesse Pretorius 2020-08-26 11:01:03 UTC
OSP 12 is EOL from 13 Dec 2018, so this is being closed as WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.